---
sidebar_position: 2
title: 'QC Team'
---

# QC Team

The Quality Control (QC) team is responsible for validating the quality, stability, and correctness of the final game build before release. However, in the current workflow, their role is often limited to final-stage testing, relying heavily on the GDD and art previews to create test cases. This narrow scope significantly limits the effectiveness and depth of QA coverage.

## ⚠️ Current Issues

### Late Involvement in the Development Cycle
- The QC team is brought into the project only after the game is nearly complete.
- By this time, most design and technical decisions are already locked in, leaving little room for early detection of system-wide issues or usability flaws.

### Over-Reliance on GDD and Art Previews
- Test planning is based almost entirely on the GDD and static visual references, which are often incomplete or outdated by the time testing begins.
- This results in missed edge cases, incomplete test coverage, and delays caused by last-minute clarification requests.

### Lack of Proactive QA Practices
- The team often focuses only on end-user experience testing (e.g., basic functionality, navigation, or win conditions).
- There is minimal use of structured QA methodologies such as:
    - Regression testing
    - Boundary testing
    - Performance and stress testing
    - Compatibility testing across platforms and devices

## ✅ Proposed Improvements

### Involve QC from Pre-Production Phase
- Include QA representatives in early design discussions and kickoff meetings.
- Enable them to understand feature intentions, risk areas, and gameplay logic from the start.
- Allow the team to begin drafting test strategies and scenarios early, not just test cases after implementation.

### Establish Internal Test Documentation
- Encourage QC to build and maintain their own living Test Plan and Test Specification documents based on direct project participation, not just GDD handoffs.
- Track bugs, testing scenarios, and coverage status using industry standard format

### Adopt Broader Testing Methodologies

Train and assign the team to cover various QA techniques beyond user experience, including:
- Functional, non-functional, and exploratory testing
- Automated testing skillset
- Stress/load testing (FPS, memory, asset loads)
- Multi-platform compatibility validation

By embedding the Art Team into the full development cycle and building their technical capabilities, the studio can achieve a more cohesive, scalable, and high-quality visual standard across all projects.