---
sidebar_position: 2
---

# Approach

The current development workflow has been in place for many years and has proven effective for delivering a high volume of casino-style games. However, its deeply ingrained nature makes it **difficult to change without disruption**. Attempting to overhaul the entire pipeline across all teams at once may introduce confusion, resistance, and new types of inefficiencies.

To mitigate risk, the recommended approach is to **pilot the new workflow on a separate, small-scale project**. This allows us to validate and refine the new processes in a controlled environment without interfering with ongoing productions.

## 🔍 Selecting a Test Project

We propose choosing a **non-casino-style project** that is simple in scope but different enough to challenge current assumptions. This helps ensure that the new workflow can scale to genres beyond our existing comfort zone.

Potential candidates for this pilot project include:

- 🕹 **A simple minigame** with clear gameplay loops and modular systems  
- 👥 **A social game** prototype focused on user engagement and progression  
- 🎮 **A mechanic-specific prototype**, such as turn-based combat, platformer movement, or multiplayer interaction  

These formats allow us to experiment with new design-document structures, team workflows, art standards, and QA strategies in a real-world context.

---

## 👥 Forming the Pilot Team

A small, cross-functional team should be assembled to execute the project under the proposed new workflow. The team should include representatives from:

- Game Design
- Art
- Development
- QA
- Project Management (optional support)

Critically, the team should be led by a **dedicated Project Lead or Director** who:

- Understands the goals of the workflow transition  
- Can enforce collaboration and documentation standards  
- Tracks progress, identifies pain points, and proposes adjustments  
- Acts as the communication bridge between leadership and the pilot team  

---

## 🎯 Objectives of the Pilot

- Validate the practicality of the new workflow and tools in a production setting  
- Collect feedback from all involved roles  
- Measure delivery efficiency, product quality, and team satisfaction  
- Identify blockers and iterate on workflow adjustments before full adoption  

Once the pilot project is completed and reviewed, the studio can move forward with broader implementation across teams with greater confidence and alignment.