---
sidebar_position: 3
---

# Milestone

To ensure structured execution of the pilot project and proper evaluation of the new workflow, we propose the following milestone plan. Each milestone represents a phase of development aligned with industry practices, with built-in checkpoints for review, feedback, and documentation updates.

## 📌 Phase 1: Pre-Production

- ✅ Assemble the pilot team across all key departments
- ✅ Select and define the non-casino pilot project
- ✅ Conduct project kickoff with full team involvement
- ✅ Create initial GDD, art style guide, and technical documentation
- ✅ Define tooling and workflow expectations (e.g., Gitea, SharePoint, Figma, Confluence)
- ✅ Establish communication and tracking channels (e.g., weekly sync, retrospective format)

## 📌 Phase 2: Early Development

- ✅ Begin iterative prototyping of core features
- ✅ Conduct design and art reviews during implementation
- ✅ Initiate collaborative testing planning (QA building their own test docs)
- ✅ Monitor use of tools and workflows to validate team engagement and clarity

## 📌 Phase 3: Production Development

- ✅ Finalize major systems and implement full game loop
- ✅ Continue multi-discipline collaboration (GD–DEV–ART–QC)
- ✅ Track and log workflow bottlenecks, miscommunications, and productivity pain points
- ✅ Conduct internal playtesting and polish passes

## 📌 Phase 4: QA and Finalization

- ✅ Full testing round with structured bug reporting
- ✅ Conduct performance testing, UX testing, and edge case checks
- ✅ Finish documentation: changelogs, postmortem notes, feature spec verification

## 📌 Phase 5: Workflow Evaluation Report

- ✅ Conduct a team-wide retrospective on the pilot workflow
- ✅ Collect feedback from all roles (Design, Art, DEV, QA)
- ✅ Analyze the impact of the new process on:
  - Communication
  - Quality
  - Development speed
  - Rework rates
  - Team morale
- ✅ Compile findings into a **Final Workflow Change Report**

## 📌 Phase 6: Expansion Plan

- ✅ Use report insights to:
  - Adjust workflow gaps or team practices
  - Prepare updated templates or onboarding guides
- ✅ Propose applying the improved workflow to:
  - Another pilot project
  - A more complex game
  - An upcoming **casino-style game**, once proven successful

